RubyGems Navigation menu

start_project 0.0.8

The start_project gem is a simple way of downloading the latest version of your favourite framework. It's very easy to use: simply install the gem as normal with gem install start_project and then run the command line tool ProjectStart --type {framework} --name {name of project} and it will pull the latest version of the framework and extract it to your machine with the name you provided. Currently, there are 5 frameworks: html 5 boilerplate, bootstrap, 960 grid, 320 and up, and mass gs960 andup320 mass, but I'll be adding more in the future. You can fork the source on github here: https://github.com/aonghusflynn/ProjectStart You can find my blog here: http://www.aonghusflynn.com

Gemfile
          gem 'start_project', '~> 0.0.8'
  
  
  
  
  
  
  

install
          gem install start_project
  
  
  
  
  
  
  

Total downloads 5,818

For this version 757

Show all versions (8 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.0.8 - August 27, 2012 (5 KB)
  2. 0.0.7 - August 27, 2012 (5 KB)
  3. 0.0.6 - August 28, 2012 (4.5 KB)
  4. 0.0.5 - August 28, 2012 (4.5 KB)
  5. 0.0.4 - August 28, 2012 (4.5 KB)
Show all versions (8 total)

Runtime Dependencies: